import { IHandlerResponseApi } from "../doc/response/api/handler/IHandlerResponseApi";
import { IWebHelpParms } from "./doc/IWebHelpParms";
export declare class WebHelpGenerator {
    sanitizeHomeDir: boolean;
    private mWebHelpParms;
    private mDocsDir;
    private treeNodes;
    private aliasList;
    constructor(webHelpParms: IWebHelpParms, webHelpDir: string);
    buildHelp(cmdResponse: IHandlerResponseApi): void;
    private readonly webHelpDistDir;
    private genDocsHeader;
    private genDocsFooter;
    /**
     * Builds breadcrumb of HTML links to show command ancestry
     * @param {string} rootCommandName
     * @param {string} fullCommandName
     * @returns {string}
     */
    private genBreadcrumb;
    /**
     * Builds list of groups/commands with HTML links added
     * @param {DefaultHelpGenerator} helpGen
     * @param {string} fullCommandName
     * @returns {string}
     */
    private buildChildrenSummaryTables;
    /**
     * Generates HTML help page for Imperative command
     * @param {ICommandDefinition} definition
     * @param {string} fullCommandName
     * @param {string} docsDir
     * @param {ITreeNode} parentNode
     */
    private genCommandHelpPage;
    private writeTreeData;
}
